import java.util.*;
import java.math.*;
import java.io.*;
public class Main{
  public static void main(String args[]) throws Exception{
    Scanner in = new Scanner(new File("D.in"));
    PrintWriter out = new PrintWriter(new File("D.out"));
    BigInteger n = new BigInteger(in.next());
    BigInteger a = new BigInteger(in.next());
    BigInteger b = new BigInteger(in.next());
    n = n.add(b);
    n = n.subtract(a);
    out.println(n.toString());
    out.close();
  }
}